Prediction API Keys
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's prediction API keys
GET /api/v2/api/prediction HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's prediction API keys
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the API key max 255 characters
My API KeyThe id of a Exchange
1PolyMarket platform funder address
0x0fca5sdvv94baa59a362a83sdf31d9c4a25970effe68Signer wallet private key
dfgsdfgsdfmnc3n39745c547aSBp89bs450fb1dfacf86af8ed32API key created successfully
Missing required fields, invalid name, or invalid credentials
Exchange not found
POST /api/v2/api/prediction HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 177
{
"name": "My API Key",
"exchangeId": "1",
"funderAddress": "0x0fca5sdvv94baa59a362a83sdf31d9c4a25970effe68",
"walletPrivateKey": "dfgsdfgsdfmnc3n39745c547aSBp89bs450fb1dfacf86af8ed32"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Paginated list of prediction signal bots
Missing required parameters
GET /api/v2/api/prediction/bot/signal/{id}?page=1&limit=1 HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"total": 1,
"data": []
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
ACTIVEPossible values: Status updated successfully
SuccessMissing id, invalid status, or status already set
API key not found
PUT /api/v2/api/prediction/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"status": "ACTIVE"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
API key deleted successfully
DeletedMissing API ID
API key not found
API key is in use by signal bots
DELETE /api/v2/api/prediction/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
DeletedYour public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The id of a Exchange
1PolyMarket platform funder address
0x0fca5sdvv94baa59a362a83sdf31d9c4a25970effe68Signer wallet private key
dfgsdfgsdfmnc3n39745c547aSBp89bs450fb1dfacf86af8ed32API credentials are valid
trueMissing required fields, invalid credentials, or exchange not found
POST /api/v2/api/prediction/test HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 157
{
"exchangeId": "1",
"funderAddress": "0x0fca5sdvv94baa59a362a83sdf31d9c4a25970effe68",
"walletPrivateKey": "dfgsdfgsdfmnc3n39745c547aSBp89bs450fb1dfacf86af8ed32"
}trueLast updated